#!/bin/bash

BASE_URL=http://www.erp5.org/pipermail/erp5-report/
wget -nv $BASE_URL -O index.html.$$

for subject in `grep subject.html index.html.$$ | awk -F \" '{print $2}'` ; do
  sub_name=`echo $subject | sed -e 'sq/q-q'`
  wget -nv $BASE_URL$subject -O $sub_name.$$
done

grep --color -h 'ERP5 r[[:digit:]]*: [[:digit:]]' *subject*$$ | awk -F \> '{print $3}' > all_tests.$$

cat all_tests.$$ | ./gen_inserts.py > MYSQL_DATA.sql
rm *.$$
